## GnomeDbDataCellRendererInfo

GnomeDbDataCellRendererInfo — Cell renderer to display a cell contextual menu

## Synopsis

                GnomeDbDataCellRendererInfo;
    GType       gnome_db_data_cell_renderer_info_get_type
                                                (void);
    GtkCellRenderer* gnome_db_data_cell_renderer_info_new
                                                (GnomeDbDataProxy *proxy,
                                                 GnomeDbDataSet *data_set,
                                                 GnomeDbDataSetNode *node);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkCellRenderer
                   +----GnomeDbDataCellRendererInfo

## Properties

      "editable"             gboolean              : Read / Write
      "to-be-deleted"        gboolean              : Write
      "value-attributes"     guint                 : Read / Write

## Signals

    "status-changed"
                void        user_function      (GnomeDbDataCellRendererInfo *dbdatacellrendererinfo,
                                                gchar *arg1,
                                                guint arg2,
                                                gpointer user_data);

## Description

## Details

### GnomeDbDataCellRendererInfo

    typedef struct _GnomeDbDataCellRendererInfo GnomeDbDataCellRendererInfo;

### gnome_db_data_cell_renderer_info_get_type ()

    GType       gnome_db_data_cell_renderer_info_get_type
                                                (void);

Returns : |

### gnome_db_data_cell_renderer_info_new ()

    GtkCellRenderer* gnome_db_data_cell_renderer_info_new
                                                (GnomeDbDataProxy *proxy,
                                                 GnomeDbDataSet *data_set,
                                                 GnomeDbDataSetNode *node);

Creates a new GnomeDbDataCellRendererInfo. Adjust rendering parameters using object properties. Object properties can be set globally (with `g_object_set()`). Also, with GtkTreeViewColumn, you can bind a property to a value in a GtkTreeModel. For example, you can bind the "active" property on the cell renderer to a boolean value in the model, thus causing the check button to reflect the state of the model.

`proxy` : |
`data_set` : |
`node` : |
Returns : | the new cell renderer

## Property Details

### The "`editable`" property

      "editable"             gboolean              : Read / Write

The information and status changer can be activated.

Default value: TRUE

### The "`to-be-deleted`" property

      "to-be-deleted"        gboolean              : Write

Default value: FALSE

### The "`value-attributes`" property

      "value-attributes"     guint                 : Read / Write

Default value: 0

## Signal Details

### The "status-changed" signal

    void        user_function                  (GnomeDbDataCellRendererInfo *dbdatacellrendererinfo,
                                                gchar *arg1,
                                                guint arg2,
                                                gpointer user_data);

`dbdatacellrendererinfo` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.